Plesk\backup\Agent\Schema\Backup\DomainAlias\DomainAliasAType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        mail:
            expose: true
            access_type: public_method
            serialized_name: mail
            accessor:
                getter: getMail
                setter: setMail
            xml_attribute: true
            type: string
        web:
            expose: true
            access_type: public_method
            serialized_name: web
            accessor:
                getter: getWeb
                setter: setWeb
            xml_attribute: true
            type: string
        tomcat:
            expose: true
            access_type: public_method
            serialized_name: tomcat
            accessor:
                getter: getTomcat
                setter: setTomcat
            xml_attribute: true
            type: string
        dns:
            expose: true
            access_type: public_method
            serialized_name: dns
            accessor:
                getter: getDns
                setter: setDns
            xml_attribute: true
            type: string
        seoRedirect:
            expose: true
            access_type: public_method
            serialized_name: seo-redirect
            accessor:
                getter: getSeoRedirect
                setter: setSeoRedirect
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        status:
            expose: true
            access_type: public_method
            serialized_name: status
            xml_element:
                cdata: false
            accessor:
                getter: getStatus
                setter: setStatus
            type: Plesk\backup\Agent\Schema\Backup\Status
        dnsZone:
            expose: true
            access_type: public_method
            serialized_name: dns-zone
            xml_element:
                cdata: false
            accessor:
                getter: getDnsZone
                setter: setDnsZone
            type: Plesk\backup\Agent\Schema\Backup\DnsZone
        icp:
            expose: true
            access_type: public_method
            serialized_name: icp
            xml_element:
                cdata: false
            accessor:
                getter: getIcp
                setter: setIcp
            type: Plesk\backup\Agent\Schema\Backup\Icp
